2025-11-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.61.2, switched to meson build system
	* CONFIGURE, DEPENDS: switched to meson build system, needs cargo-c now,
	  made gdk-pixbuf2 optional, needs docutils for documentation alongside
	  gtk-doc

2024-09-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.58.4, updated Watch line

2024-04-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.58.0

2024-02-12 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: drop unneeded gtk+3

2024-01-31 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: drop x11 stuff

2024-01-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.57.1

2023-05-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.56.0
	* DEPENDS: drop pcre

2023-02-21 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: X11 support is now optional

2022-11-08 Ismael Luceno <ismael@iodev.co.uk>
	* PREPARE: removed, no longer needed
	* CONFIGURE, DETAILS: 2.55 is stable; remove branch selection,
	  librsvg2 switched to the modern GNOME versioning scheme

2022-09-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.55.1
	* BUILD, INSTALL: added to address cargo locking error

2022-08-27  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: 2.54.5

2022-08-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: devel version 2.55.0, switched all branches to UPSTREAM_HASH
	* DEPENDS: dropped CAIRO_DEVEL subdependency for cairo
	* FINAL: unified for all gtks

2022-06-11  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: 2.54.4

2022-05-28  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: 2.54.3

2021-06-05  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: 2.50.7

2021-05-27 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: dropped libcroco for stable

2021-05-27 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated (stable) to 2.50.6

2021-05-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.50.5

2021-01-29 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.50.3

2020-11-22 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.50.2

2020-10-05 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.50.1

2020-09-12 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.50.0
	* DEPENDS: add dependency on llvm

2020-07-09 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated stable to 2.48.8
	  fixed WEB_SITE
	  updated devel to 2.49.3

2020-06-05 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.7

2020-04-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.4

2020-04-20 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Made dependency on rust versioned

2020-04-11 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.3

2020-04-04 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.2

2020-03-28 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.1

2020-03-07 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.48.0

2019-11-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PREPARE: versions 2.47.1/2.46.4, switched to
	  UPSTREAM_HASH, compute branch using string manipulations
	* DEPENDS: depend on libcroco only if stable

2019-11-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.46.3

2019-10-15 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.46.2

2019-09-15 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.46.0

2019-09-07 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.15

2019-05-15 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.14

2019-01-25 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.12

2019-01-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.11

2018-12-15 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.10

2018-11-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.9

2018-11-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.8

2018-10-11 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.7

2018-09-29 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.6

2018-09-19 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 2.44.3

2018-09-14 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: needs devel cairo branch

2018-08-30 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.2

2018-08-29 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.1

2018-08-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.44.0

2018-08-23 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.7

2018-08-09 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.6

2018-06-02 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.5

2018-05-13 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.4

2018-03-08 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.3

2018-01-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.1

2018-01-11 Pavel Vinogradov <public@sourcemage.org>
	* BUILD: deleted
	* CONFIGURE: no more gtk theme option
	* DEPENDS: added rust

2018-01-10 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.42.0

2017-12-16 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.20

2017-10-04 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.19

2017-07-20 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.18

2017-04-08 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.17

2016-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.16

2016-04-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.15

2016-01-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.13

2015-11-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.11

2015-08-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.10

2015-06-21 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: delete atk, expat

2015-04-23 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added a warning about vala dependency making
	  gobject-introspection non-optional

2015-04-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.9

2015-03-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: removed a tab
	* DEPENDS: removed libffi -- it's not a direct dependency

2015-03-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.8

2014-12-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.6

2014-10-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.5
	* DEPENDS: gdk-pixbuf2 is required
	* CONFLICTS: added

2014-10-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.5
	* DEPENDS: no longer uses gtk+2

2014-09-09 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: add missing dependencies

2014-04-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.40.2

2013-12-21 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.40.1

2013-11-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.40.0

2013-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.39.0
	  SECURITY_PATCH=2, fixes CVE-2013-1881
	
2013-02-23 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: gtk+2, gtk+3 are optional

2012-12-30 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS: made dependencies on vala and gdk-pixbuf2 optional,
	  removed dependencies on libxau, libxcb, libxdmcp, libxext, libxrender
	  and pcre
 
2012-12-28 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS: added dependencies on atk, expat, gdk-pixbuf2, gtk+2, gtk+3,
	  harfbuzz, libffi, libpng, libxau, libxcb, libxdmcp, libxext, libxrender,
	  pcre, pixman
2012-11-17 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: make link to icu explicit

2012-10-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.36.4

2012-09-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.36.3

2012-04-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.36.1

2012-04-12 Julien "_kaze_" ROZO <julien@rozo.org>
	* DEPENDS: added gobject-introspection as optional, removed libgsf

2012-04-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.36.0

2011-12-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.35.0
	* DEPENDS: libcroco is now required

2011-12-06 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: remove gtk+2, not needed

2011-11-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.34.2

2011-09-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.34.1; SECURITY_PATCH++

2011-04-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.34.0

2010-11-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.32.1

2010-09-30 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated spell to 2.32.0

2010-09-19 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated spell to 2.31.0

2010-05-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.26.3

2010-04-12 Vasil Yonkov <spirtbrat@sourcemage.org>
	* BUILD: removed support for mozilla plugin - dropped upstream
	* DEPENDS: removed popt, GECKO, gnome-vfs2

2010-03-31 Vasil Yonkov <spirtbrat@sourcemage.org>
	* DETAILS: updated spell to 2.26.2

2009-08-04 Finn Haedicke <finn_haedicke@gmx.net>
       * DEPENDS: depends on cairo with libpng

2009-03-23 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.26.0

2009-03-12 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: removed libart_lgpl -- no longer required

2008-09-30 Robin Cook <rcook@wyrms.net>
	* DEPENDS: added xorg libs and explicit depends

2008-09-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.22.3; fixed descs

2008-03-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.22.2

2008-02-26 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.22.1

2008-02-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.22.0

2008-01-20 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.20.0

2008-01-02 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: replaced iceweasel to icecat

2007-10-22 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: install_rootifying nspr include path, added
	  iceweasel support

2007-09-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.18.2

2007-07-29 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.18.0

2006-11-28 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.16.1

2006-09-07 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.16.0

2006-08-30 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* BUILD: added xulrunner support

2006-05-10 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.14.4

2006-04-08 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.14.3

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-11 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.14.2

2006-03-01 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.14.1

2006-02-28 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.14.0

2006-02-19 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.13.91

2006-01-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, librsvg-firefox.diff: removed old patch and sedits
	* BUILD: support all of mozilla/firefox/seamonkey as GECKO providers

2005-10-21 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Doesn't depend on gnome-common2 (thanks to Wolfgang Scheicher)

2005-10-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on GECKO
	  Fixes issue of having no/incorrect provider of GECKO for PRE_BUILD

2005-10-09 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.12.7

2005-10-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.12.6

2005-10-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.12.5
	* BUILD: moved patching to PRE_BUILD
	* PRE_BUILD: changed patches to sedits

2005-09-20 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.12.0

2005-08-29 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.11.1
	* PATCH: modifed for new source

2005-08-28 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.11.0
	* DEPENDS: added GECKO as optional depends
	* CONFIGURE: added for query
	* BUILD: set OPTS by query
	  appy patch if GECKO source if firefox
	  change OPTS switch if GECKO source is firefox

2005-08-14 Robin Cook <rcook@wyrms.net>
	* DETAILS: converted MD5 to GPG
	* DEPENDS: added gnome-vfs2 and gtk-doc as optional depends

2005-06-25 David Brown <dmlb2000@excite.com>
	* BUILD: added -I/usr/include/nspr for stable-rc cflags
	  might be removed later

2005-02-08 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.9.5
	  updated MD5
	  removed BUILD_API

2004-09-13 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.8.1
	  updated MD5

2004-09-04 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.8.0
	  updated MD5
	  added BUILD_API=2
	* BUILD: removed
	* POST_INSTALL: renamed to FINAL
	* WIP: added

2004-05-01 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.5
	  updated MD5

2004-03-31 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.4
	  updated MD5
	* DEPENDS: removed optional_depends gimp as gimp 2.0
	  does this itself now.

2004-03-27 Robin Cook <rcook@wyrms.net>
	* POST_INSTALL: added to run gdk-pixbuf-query-loaders
	  bug #6455

2004-03-19 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.3
	  updated MD5

2004-03-17 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.2
	  updated MD5

2004-03-16 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.1
	  updated MD5

2004-03-04 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.6.0
	  updated MD5

2004-03-04 Robin Cook <rcook@wyrms.net>
	* DETAILS: update VERSION to 2.5.0
	  updated MD5
	  removed MAINTAINER

2003-12-25 Robin Cook <rcook@wyrms.net>
	* DEPENDS: added --without switches to the optional_depends

2003-11-08 Robin Cook <rcook@wyrms.net>
	* DEPENDS made libgsf and libcroco optional depends - bug #4621
	  added optional depends to gimp to build gimp plugin

2003-09-09 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.4.0
	  updated MD5

2003-09-07 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.3.1
	  updated MD5

2003-03-24 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.5
	  updated MD5

2003-03-10 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.4
	  updated MD5

2003-02-04 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.3
	  updated MD5

2003-02-02 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.2.1
	  updated MD5
	  modified SOURCE_DIRECTORY as tar file doesn't extract out with same version number
	* BUILD: added BUILD with OPTS="$OPTS --disable-gtk-doc"

2003-01-30 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.1
	  updated MD5

2003-01-20 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.2.0
	  updated MD5

2003-01-14 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.1.5
	  updated MD5

2003-01-06 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.1.3
	  updated MD5

2002-12-30 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.1.2
	  updated MD5

2002-10-23 Robin Cook <rcook@wyrms.net>
	* DETAILS: added MD5

2002-09-20 Jon Svendsen <jon-sven@frisurf.no>
	* DETAILS: URLs now match new ftp.gnome.org layout

2002-08-27 Jon Svendsen <jon-sven@frisurf.no>
	* BUILD: Removed broken BUILD

2002-07-23 Jon Svendsen <jon-sven@frisurf.no>
	* DETAILS: updated VERSION to 2.0.1

2002-06-19 Jon Svendsen <jon-sven@frisurf.no>
	* DETAILS: updated VERSION to 2.0.0

2002-05-17 Jon Svendsen <jon-sven@frisurf.no>
	* Initial version of spell
